﻿@model List<eCommerce.BackOffice.ViewModels.StockListViewModel>
@{
    ViewBag.Title = "Consulta de Stock por Depósito";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Consulta de Stock por Depósito</h1>
    <div class="page-header-actions">
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-primary" onclick="javascript: window.location = '/Products/Stocks';">
                <i class="icon wb-list" aria-hidden="true"></i>
                <span class="hidden-xs">VISTA GENERAL</span>
            </button>
        </div>
        <div class="btn-group btn-group-sm" id="withBtnGroup" aria-label="Page Header Actions" role="group">
            <button type="button" class="btn btn-outline btn-success" onclick="window.location.href = '/Products/ExportStocksByDepositToExcel'">
                <i class="icon fa-file-excel-o" aria-hidden="true"></i>
                <span class="hidden-xs">EXPORTAR</span>
            </button>
        </div>
    </div>
</div>

<div class="page-content">

    <div class="panel">
        @Html.Partial("_StockListByDeposit", Model)
    </div>

</div>

<div class="modal fade" id="stockDetail" aria-hidden="false" aria-labelledby="stockDetail" role="dialog" tabindex="-1">
    <div class="modal-dialog">
        <form class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleFormModalLabel">Detalle por Depósito</h4>
            </div>
            <div class="modal-body">
            </div>
        </form>
    </div>
</div>

@section Scripts {
    
    <script type="text/javascript">

        function ShowStockDetail(productId, sizeId, colorId)
        {
            $.ajax({
                url: "/Products/GetStockDetail",
                type: "GET",
                data: { productId: productId, sizeId: sizeId, colorId: colorId },
                success: function (data, textStatus, jqXHR)
                {
                    $('.modal-body').html(data);
                }
            });

            return false;
        }

    </script>
        

}

